Bug 495888 - Review Request: perl-POE-Component-Log4perl - Logging extension for the POE environment.
Review Request: perl-POE-Component-Log4perl - Logging extension for the POE e...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 09:28 EDT by Yanko Kaneti
Modified: 2009-06-04 13:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 13:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Mamoru TASAKA 2009-05-30 13:38:59 EDT
Some notes:

* BR
  - Using "BR: perl" is not preferred. Please specify perl module
    names needes as BRs more verbosely
    ( Usually this is "BuildRequires: perl(ExtUtils::MakeMaker) or
      so ) ref:
    https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides

* noarch vs optflags
  - This package is noarch so specifying %optflags is useless.

* Macros
  - Use macros correctly.
    If you want to use %__perl, also use %__make, %__rm

* Skipped tests
  - From build.log:
----------------------------------------------------------
    77  t/01_load.t ... ok
    78  t/02_basic.t .. ok
    79  t/99_pod.t .... skipped: Enable TEST_POD environment variable to test POD
----------------------------------------------------------
    It seems TEST_POD environ should be set and BR: perl(Test::Pod)
    should be added.
Comment 3 Yanko Kaneti 2009-05-30 14:27:51 EDT
* Sat May 30 2009 Yanko Kaneti <yaneti@declera.com> - 0.02-3
- Implement review feedback from Mamoru Tasaka
  https://bugzilla.redhat.com/show_bug.cgi?id=495888#c2
- Do not own %%{perl_vendorlib}/POE + Component

http://www.declera.com/~yaneti/perl-POE-Component-Log4perl/perl-POE-Component-Log4perl.spec
http://www.declera.com/~yaneti/perl-POE-Component-Log4perl/perl-POE-Component-Log4perl-0.02-3.fc11.src.rpm

Thanks
Comment 4 Mamoru TASAKA 2009-06-03 14:12:22 EDT
Okay.

- This package itself can be approved
- Usually we sponsor members request people who need sponsorship
  to either do pre-review of other person's review request or
  submit another review request.
  I see that you have already submitted some other review requests
  and one of them is already approved.

---------------------------------------------------------------------
  This package (perl-POE-Component-Log4perl) is APPROVED by mtasaka
---------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 9/10/11, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 5 Yanko Kaneti 2009-06-03 16:34:19 EDT
New Package CVS Request
=======================
Package Name: perl-POE-Component-Log4perl
Short Description: Logging extension for the POE environment
Owners: yaneti
Branches: F-10 F-11
InitialCC: perl-sig
Comment 6 Jason Tibbitts 2009-06-04 11:42:12 EDT
CVS done.
Comment 7 Yanko Kaneti 2009-06-04 13:18:07 EDT
Many thanks Mamoru! I'll try not to break anything ;)

I'll try Bodhi to get this package and the others in F10 and F11.

Note You need to log in before you can comment on or make changes to this bug.